
#![allow(dead_code)]

mod ext; use ext::*;

// Internal modules
mod object;
mod formats;

// TODO: External modules/functions/types/whatever

// TODO: FFI module, export C interface 

#[cfg(test)]
mod tests {

    use serde::{Serialize, Deserialize};
    use serde_json::Value as JsonValue;
    use serde_lexpr::Value as LexprValue;
    
    #[test]
    fn from_json_to_lisp() {
        let value_js: JsonValue = serde_json::json!({
	    "number": 200.10,
	    "boolean": true,
	    "null_value": null,
	    "map": {
		"array": ["string", false, null, 100.0, []],
		"empty": {}
	    }
	});

	eprintln!("Value (json): {}", value_js);

	println!("JSON: {}", serde_json::to_string(&value_js).expect("ser json"));
	println!("LISP: {}", serde_lexpr::to_string(&value_js).expect("ser lisp"));
    }
}
